@extends('layouts.master')
@section('content')
    {{-- message --}}
    {!! Toastr::message() !!}
    <div class="page-wrapper">
        <div class="content container-fluid">

            <div class="page-header invoices-page-header">
                <div class="row align-items-center">
                    <div class="col">
                        <ul class="breadcrumb invoices-breadcrumb">
                            <li class="breadcrumb-item invoices-breadcrumb-item">
                                <a href="{{ route('invoice/list/page') }}">
                                    <i class="fe fe-chevron-left"></i> العودة إلى قائمة الفواتير
                                </a>
                            </li>
                        </ul>
                    </div>
                    <div class="col-auto">
                        <div class="invoices-create-btn">
                            <a class="invoices-preview-link" href="#" data-bs-toggle="modal" data-bs-target="#invoices_preview"><i class="fe fe-eye"></i> معاينة</a>
                            <a href="#" data-bs-toggle="modal" data-bs-target="#delete_invoices_details" class="btn delete-invoice-btn">حذف الفاتورة</a>
                            <a href="#" data-bs-toggle="modal" data-bs-target="#save_invocies_details" class="btn save-invoice-btn">حفظ المسودة</a>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="card invoices-add-card">
                        <div class="card-body">
                            <form action="{{ route('invoice/update/save') }}" class="invoices-form" method="POST" enctype="multipart/form-data">
                                @csrf
                                <input type="hidden" name="invoice_id" value="{{ $invoiceView->invoice_id }}">
                                <div class="invoices-main-form">
                                    <div class="row">
                                        <div class="col-xl-4 col-md-6 col-sm-12 col-12">
                                            <div class="form-group">
                                                <label>اسم العميل</label>
                                                <select class="select select2s-hidden-accessible @error('full_name') is-invalid @enderror" style="width: 100%;" tabindex="-1" aria-hidden="true" id="customer_name" name="customer_name">
                                                    <option>{{ $invoiceView->customer_name }}</option>
                                                    @foreach($users as $key => $names)
                                                        <option value="{{ $names->name }}"data-teacher_id={{ $names->user_id }} {{ old('full_name') == $names->name ? "selected" :""}}>{{ $names->name }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label>رقم الطلب</label>
                                                <input class="form-control" type="text" id="po_number" name="po_number" value="{{ $invoiceView->po_number }}">
                                            </div>
                                        </div>
                                        
                                        <div class="col-xl-5 col-md-6 col-sm-12 col-12">
                                            <h4 class="invoice-details-title">تفاصيل الفاتورة</h4>
                                            <div class="invoice-details-box">
                                                <div class="invoice-inner-head">
                                                    <span>.رقم الفاتورة <a>{{ $invoiceView->invoice_id }}</a></span>
                                                </div>
                                                <div class="invoice-inner-footer">
                                                    <div class="row align-items-center">
                                                        <div class="col-lg-6 col-md-6">
                                                            <div class="invoice-inner-date">
                                                                <span>
                                                                    التاريخ <input class="form-control datetimepicker" type="text" name="date" value="{{ date('d-m-Y') }}">
                                                                </span>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-6 col-md-6">
                                                            <div class="invoice-inner-date invoice-inner-datepic">
                                                                <span>
                                                                    تاريخ الاستحقاق <input class="form-control datetimepicker" type="text" name="due_date" value="{{ $invoiceView->due_date }}">
                                                                </span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="col-xl-3 col-md-12 col-sm-12 col-12">
                                            <div class="inovices-month-info">
                                                <div class="form-group mb-0">
                                                    <label class="custom_check w-100">
                                                        @if(!empty($invoiceView->enable_tax))
                                                            <input type="checkbox" checked id="enableTax" name="enable_tax" value="Enable tax">
                                                        @else
                                                            <input type="checkbox" id="enableTax" name="enable_tax" value="Enable tax">
                                                        @endif
                                                        <span class="checkmark"></span> تفعيل الضريبة
                                                    </label>
                                                    <label class="custom_check w-100">
                                                        @if(!empty($invoiceView->recurring_incoice))
                                                        <input type="checkbox" checked id="chkYes" name="recurring_incoice" value="Recurring Invoice">
                                                        @else
                                                        <input type="checkbox" id="chkYes" name="recurring_incoice" value="Recurring Invoice">
                                                        @endif
                                                        <span class="checkmark"></span> الفاتورة المتكررة
                                                    </label>
                                                </div>
                                                @if(!empty($invoiceView->recurring_incoice))
                                                <div id="show">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <select class="select" id="by_month" name="by_month">
                                                                    <option selected>{{ $invoiceView->by_month }}</option>
                                                                    <option value="March">March</option>
                                                                    <option value="April">April</option>
                                                                    <option value="May">May</option>
                                                                    <option value="June">June</option>
                                                                    <option value="July">July</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <input class="form-control" type="text" name="month" value="{{ $invoiceView->month }}">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                @endif
                                            </div>
                                        </div>

                                    </div>
                                </div>

                                <div class="invoice-item">
                                    <div class="row">
                                        <div class="col-xl-4 col-lg-6 col-md-6">
                                            <div class="invoice-info">
                                                <strong class="customer-text">الفاتورة من</strong>
                                                <textarea rows="1.5" class="form-control" name="invoice_from">{{ $invoiceView->invoice_from }}</textarea>
                                            </div>
                                        </div>
                                        <div class="col-xl-4 col-lg-6 col-md-6">
                                            <div class="invoice-info">
                                                <strong class="customer-text">الفاتورة إلى</strong>
                                                <textarea rows="1.5" class="form-control" name="invoice_to">{{ $invoiceView->invoice_to }}</textarea>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="invoice-add-table">
                                    <h4>تفاصيل البند</h4>
                                    <div class="table-responsive">
                                        <table class="table table-center add-table-items" id="invoice-add-table">
                                            <thead>
                                                <tr>
                                                    <th>البنود</th>
                                                    <th>فئة</th>
                                                    <th>الكمية</th>
                                                    <th>السعر</th>
                                                    <th>المبلغ</th>
                                                    <th>الخصم</th>
                                                    <th>الإجراءات</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach($invoiceDetails as $key => $value)
                                                    <tr class="add-row">
                                                        <td hidden><input type="text" class="form-control" name="id[]" value="{{ $value->id }}"></td>
                                                        <td><input type="text" class="form-control" name="items[]" value="{{ $value->items }}"></td>
                                                        <td><input type="text" class="form-control" name="category[]" value="{{ $value->category }}"></td>
                                                        <td><input type="text" class="form-control" name="quantity[]" oninput="this.value = this.value.replace(/[^0-9.]/g, ''); this.value = this.value.replace(/(\..*)\./g, '$1');" value="{{ $value->quantity }}"></td>
                                                        <td><input type="text" class="form-control price" name="price[]" oninput="this.value = this.value.replace(/[^0-9.]/g, ''); this.value = this.value.replace(/(\..*)\./g, '$1');" value="{{ $value->price }}"></td>
                                                        <td><input type="text" class="form-control amount" name="amount[]" oninput="this.value = this.value.replace(/[^0-9.]/g, ''); this.value = this.value.replace(/(\..*)\./g, '$1');" value="{{ $value->amount }}" ></td>
                                                        <td><input type="text" class="form-control discount" name="discount[]" oninput="this.value = this.value.replace(/[^0-9.]/g, ''); this.value = this.value.replace(/(\..*)\./g, '$1');" value="{{ $value->discount }}"></td>
                                                        <td class="add-remove text-end">
                                                            @if ($key < 1 )
                                                                <a class="add-btn me-2"><i class="fas fa-plus-circle"></i></a>
                                                            @else 
                                                                <a class="remove-btn"><i class="fe fe-trash-2"></i></a>
                                                            @endif
                                                            <a class="copy-btn me-2"><i class="fe fe-copy"></i></a>
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-lg-7 col-md-6">
                                        @if(empty($invoiceView->account_holder_name))
                                            <div class="invoice-fields">
                                                <h4 class="field-title">المزيد من المجالات</h4>
                                                <div id="btn-add-bank-details" class="field-box">
                                                    <p>Payment Details</p>
                                                    <a class="btn btn-primary" href="#" data-bs-toggle="modal" data-bs-target="#bank_details">
                                                        <i class="fas fa-plus-circle me-2"></i>إضافة تفاصيل البنك
                                                    </a>
                                                </div>
                                                <div id="btn-remove-bank-details" class="field-box">
                                                    <p>تفاصيل السداد</p>
                                                    <a class="btn btn-danger">
                                                        <i class="fe fe-trash-2"></i> إزالة تفاصيل البنك
                                                    </a>
                                                </div>
                                            </div>
                                            <br>
                                        @endif
                                        @if(!empty($invoiceView->account_holder_name))
                                            <div id="bank-details-em" class="bank-inner-details">
                                        @else
                                            <div id="bank-details" class="bank-inner-details">
                                        @endif
                                            <div class="row">
                                                <div class="col-lg-6 col-md-6">
                                                    <div class="form-group">
                                                        <label>اسم صاحب الحساب</label>
                                                        <input type="text" class="form-control" id="auto_account_holder_name" name="account_holder_name" placeholder="Add Name" value="{{ $invoiceView->account_holder_name }}">
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-md-6">
                                                    <div class="form-group">
                                                        <label>اسم البنك</label>
                                                        <input type="text" class="form-control" id="auto_bank_name" name="bank_name" placeholder="Add Bank name" value="{{ $invoiceView->bank_name }}">
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-md-6">
                                                    <div class="form-group">
                                                        <label>IFSC Code</label>
                                                        <input type="text" class="form-control" id="auto_ifsc_code" name="ifsc_code" placeholder="IFSC Code" value="{{ $invoiceView->ifsc_code }}">
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-md-6">
                                                    <div class="form-group">
                                                        <label>رقم الحساب</label>
                                                        <input type="text" class="form-control" id="auto_account_number" name="account_number" placeholder="Account Number" value="{{ $invoiceView->account_number }}">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="invoice-faq">
                                            <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                                                <div class="faq-tab">
                                                    <div class="panel panel-default">
                                                        <div class="panel-heading" role="tab" id="headingTwo">
                                                            <p class="panel-title">
                                                                <a class="collapsed" data-bs-toggle="collapse" data-bs-parent="#accordion" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                                                    <i class="fas fa-plus-circle me-1"></i> إضافة الشروط والأحكام
                                                                </a>
                                                            </p>
                                                        </div>
                                                        <div id="collapseTwo" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingTwo" data-bs-parent="#accordion">
                                                            <div class="panel-body">
                                                                <textarea class="form-control" name="add_terms_and_conditions"></textarea>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="faq-tab">
                                                    <div class="panel panel-default">
                                                        <div class="panel-heading" role="tab" id="headingThree">
                                                            <p class="panel-title">
                                                                <a class="collapsed" data-bs-toggle="collapse" data-bs-parent="#accordion" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                                                    <i class="fas fa-plus-circle me-1"></i> إضافة ملاحظات
                                                                </a>
                                                            </p>
                                                        </div>
                                                        <div id="collapseThree" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingThree" data-bs-parent="#accordion">
                                                            <div class="panel-body">
                                                                <textarea class="form-control" name="add_notes"></textarea>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-5 col-md-6">
                                        <div class="invoice-total-card">
                                            <h4 class="invoice-total-title">ملخص</h4>
                                            <div class="invoice-total-box">
                                                <div class="invoice-total-inner">
                                                    <input type="hidden" name="taxable_amount" id="taxable_amount" value="{{ $invoiceView->taxable_amount }}">
                                                    <p>المبلغ الخاضع للضريبة <span id="">${{ $invoiceView->taxable_amount }}</span></p>
                                                    <p>تقريب
                                                        @if(!empty($invoiceView->round_off))
                                                            <input type="checkbox" name="round_off" id="status_1" class="check" checked value="{{ $invoiceView->round_off }}">
                                                            <label for="status_1" class="checktoggle">مربع الاختيار</label>
                                                            <span>${{ $invoiceView->round_off }}</span>
                                                        @else 
                                                        <input type="checkbox" name="round_off" id="status_1" class="check" value="54">
                                                        <label for="status_1" class="checktoggle">مربع الاختيار</label>
                                                        <span>$54</span>
                                                        @endif
                                                    </p>
                                                    <div class="links-info-one">
                                                        <div class="links-info"></div>
                                                    </div>
                                                    @if(!empty($AdditionalCharges))  
                                                        @foreach($AdditionalCharges as $key => $value)
                                                            <div class="service-amount">
                                                                <a href="#" class="service-trash">
                                                                    <i class="fe fe-minus-circle me-1"></i>رسوم الخدمة
                                                                </a> 
                                                                <span>${{ $value->service_charge }}</span>
                                                                <input type="hidden" name="service_charge[]" value="{{ $value->service_charge }}">
                                                            </div>
                                                        @endforeach
                                                    @endif
                                                    <a class="add-links add-links-bg">
                                                        <i class="fas fa-plus-circle me-1"></i> رسوم إضافية
                                                    </a>
                                                    <div class="links-info-discount">
                                                        <div class="links-cont-discount">
                                                            <a class="add-links-one">
                                                                <i class="fas fa-plus-circle me-1"></i> أضف المزيد من الخصم
                                                            </a>
                                                        </div>
                                                    </div>
                                                    @if(!empty($InvoiceDiscount))  
                                                        @foreach($InvoiceDiscount as $key => $value)
                                                            <div class="service-amount">
                                                                <a href="#" class="service-trash-one">
                                                                    <i class="fe fe-minus-circle me-1"></i> عرض جديد
                                                                </a>
                                                                <span>${{ $value->offer_new }}%</span>
                                                                <input type="hidden" name="offer_new[]" value="{{ $value->offer_new }}">
                                                            </div>
                                                        @endforeach
                                                    @endif
                                                </div>
                                                <div class="invoice-total-footer">
                                                    <h4>المبلغ الإجمالي <span id="total_amount">$<span class="total_amount" name="total_amount">{{ $invoiceView->total_amount }}</span></span></h4>
                                                    <input type="hidden" name="total_amount" value="{{ $invoiceView->total_amount }}">
                                                </div>
                                            </div>
                                        </div>

                                        <div class="upload-sign">
                                            <div class="form-group service-upload">
                                                <span>تحديث التوقيع</span>
                                                <input type="file" name="upload_sign" multiple>
                                                <img class="img-fluid d-inline-block" src="{{ Storage::url($invoiceView->upload_sign) }}" alt="sign" style="width: 20%;">
                                                <input type="hidden" name="upload_sign_unlink" value="{{ $invoiceView->upload_sign }}">
                                            </div>
                                            <div class="form-group">
                                                <input type="text" class="form-control" name="name_of_the_signatuaory" placeholder="Name of the Signatuaory" value="{{ $invoiceView->name_of_the_signatuaory }}">
                                            </div>
                                            <div class="form-group float-end mb-0">
                                                <button class="btn btn-primary" type="submit">حفظ الفاتورة</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal custom-modal fade invoices-preview" id="invoices_preview" role="dialog">
        <div class="modal-dialog modal-dialog-centered modal-xl">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="row justify-content-center">
                        <div class="col-lg-12">
                            <div class="card invoice-info-card">
                                <div class="card-body pb-0">
                                    <div class="invoice-item invoice-item-one">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="invoice-logo">
                                                    <img src="{{ URL::to('assets/img/logo.png') }}" alt="logo">
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="invoice-info">
                                                    <div class="invoice-head">
                                                        <h2 class="text-primary">فاتورة</h2>
                                                        <p>رقم الفاتورة: In983248782</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="invoice-item invoice-item-bg">
                                        <div class="invoice-circle-img">
                                            <img src="{{ URL::to('assets/img/invoice-circle1.png') }}" alt="" class="invoice-circle1">
                                            <img src="assets/img/invoice-circle2.png" alt=""class="invoice-circle2">
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-4 col-md-12">
                                                <div class="invoice-info">
                                                    <strong class="customer-text-one">تم إرسال الفاتورة إلى</strong>
                                                    <h6 class="invoice-name">اسم العميل</h6>
                                                    <p class="invoice-details invoice-details-two">
                                                        9087484288 <br>
                                                        خط العنوان 1 <br>
                                                        خط العنوان 2 <br>
                                                        الرمز البريدي، المدينة - الدولة
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-lg-4 col-md-12">
                                                <div class="invoice-info">
                                                    <strong class="customer-text-one">الفاتورة من</strong>
                                                    <h6 class="invoice-name">اسم الشركة</h6>
                                                    <p class="invoice-details invoice-details-two">
                                                        9087484288 <br>
                                                        خط العنوان 1 <br>
                                                        خط العنوان 2 <br>
                                                        الرمز البريدي، المدينة - الدولة
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="col-lg-4 col-md-12">
                                                <div class="invoice-info invoice-info-one border-0">
                                                    <p>تاريخ الإصدار: 27 يوليو 2022</p>
                                                    <p>تاريخ الاستحقاق: 27 أغسطس 2022</p>
                                                    <p>المبلغ المستحق: 1,54,22 دولارًا أمريكيًا </p>
                                                    <p>الفاتورة المتكررة: 15 شهرًا</p>
                                                    <p class="mb-0">رقم الطلب: 54515454</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>


                                    <div class="invoice-item invoice-table-wrap">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="table-responsive">
                                                    <table class="invoice-table table table-center mb-0">
                                                        <thead>
                                                            <tr>
                                                                <th>الوصف</th>
                                                                <th>الفئة</th>
                                                                <th>السعر/العنصر</th>
                                                                <th>الكمية</th>
                                                                <th>الخصم (%)</th>
                                                                <th class="text-end">المبلغ</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <tr>
                                                                <td>الرياضيات</td>
                                                                <td>استاتيكا</td>
                                                                <td>$1,110</td>
                                                                <th>2</th>
                                                                <th>2%</th>
                                                                <td class="text-end">$400</td>
                                                            </tr>
                                                            <tr>
                                                                <td>العلوم</td>
                                                                <td>فيزياء</td>
                                                                <td>$1,500</td>
                                                                <th>3</th>
                                                                <th>6%</th>
                                                                <td class="text-end">$3,000</td>
                                                            </tr>
                                                            <tr>
                                                                <td>English</td>
                                                                <td>Grammer</td>
                                                                <td>$11,500</td>
                                                                <th>1</th>
                                                                <th>10%</th>
                                                                <td class="text-end">$11,000</td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row align-items-center justify-content-center">
                                        <div class="col-lg-6 col-md-6">
                                            <div class="invoice-payment-box">
                                                <h4>تفاصيل الدفع</h4>
                                                <div class="payment-details">
                                                    <p>بطاقة الخصم XXXXXXXXXXXX-2541 بنك HDFC</p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-6 col-md-6">
                                            <div class="invoice-total-card">
                                                <div class="invoice-total-box">
                                                    <div class="invoice-total-inner">
                                                        <p>الخاضع للضريبة <span>6,660.00 دولارًا</span></p>
                                                        <p>الرسوم الإضافية <span>6,660.00 دولارًا</span></p>
                                                        <p>الخصم <span>3,300.00 دولارًا</span></p>
                                                        <p class="mb-0">الإجمالي الفرعي <span>3,300.00 دولارًا</span></p>
                                                    </div>
                                                    <div class="invoice-total-footer">
                                                        <h4>المبلغ الإجمالي <span>143,300.00 دولار</span></h4>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="invoice-sign-box">
                                        <div class="row">
                                            <div class="col-lg-8 col-md-8">
                                                <div class="invoice-terms">
                                                    <h6>:ملاحظات</h6>
                                                    <p class="mb-0">أدخل ملاحظات العميل أو أي تفاصيل أخرى</p>
                                                </div>
                                                <div class="invoice-terms mb-0">
                                                    <h6>الشروط والأحكام:</h6>
                                                    <p class="mb-0">أدخل ملاحظات العميل أو أي تفاصيل أخرى</p>
                                                </div>
                                            </div>
                                            <div class="col-lg-4 col-md-4">
                                                <div class="invoice-sign text-end">
                                                    <img class="img-fluid d-inline-block"
                                                        src="{{ URL::to('assets/img/signature.png') }}" alt="sign">
                                                    <span class="d-block">{{ Session::get('name') }}</span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal custom-modal fade bank-details" id="bank_details" role="dialog">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="form-header text-start mb-0">
                        <h4 class="mb-0">إضافة تفاصيل البنك</h4>
                    </div>
                    <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="bank-inner-details">
                        <div class="row">
                            <div class="col-lg-6 col-md-6">
                                <div class="form-group">
                                    <label>اسم صاحب الحساب</label>
                                    <input type="text" class="form-control" id="account_holder_name" placeholder="Add Name">
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6">
                                <div class="form-group">
                                    <label>اسم البنك</label>
                                    <input type="text" class="form-control" id="bank_name" placeholder="Add Bank name">
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6">
                                <div class="form-group">
                                    <label>IFSC Code</label>
                                    <input type="text" class="form-control" id="ifsc_code" placeholder="IFSC Code">
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6">
                                <div class="form-group">
                                    <label>رقم الحساب</label>
                                    <input type="text" class="form-control" id="account_number" placeholder="Account Number">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="bank-details-btn">
                        <a href="javascript:void(0);" data-bs-dismiss="modal" class="btn bank-cancel-btn me-2">إلغاء</a>
                        <a id="save-item" class="btn bank-save-btn" class="close" data-bs-dismiss="modal" aria-label="Close">حفظ العنصر</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal custom-modal fade" id="delete_invoices_details" role="dialog">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="form-header">
                        <h3>حذف تفاصيل الفاتورة</h3>
                        <p>هل أنت متأكد من رغبتك في الحذف؟</p>
                    </div>
                    <div class="modal-btn delete-action">
                        <form action="{{ route('invoice/delete') }}" method="POST">
                            @csrf
                            <div class="row">
                                <input type="hidden" name="invoice_id" value="{{ $invoiceView->invoice_id }}">
                                <input type="hidden" name="upload_sign" value="{{ $invoiceView->upload_sign }}">
                                <div class="col-6">
                                    <button type="submit" class="btn btn-primary continue-btn submit-btn" style="border-radius: 5px !important;">حذف</button>
                                </div>
                                <div class="col-6">
                                    <a href="#" data-bs-dismiss="modal"class="btn btn-primary paid-cancel-btn">إلغاء</a>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal custom-modal fade" id="save_invocies_details" role="dialog">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="form-header">
                        <h3>حفظ تفاصيل الفاتورة</h3>
                        <p>هل أنت متأكد من أنك تريد الحفظ؟</p>
                    </div>
                    <div class="modal-btn delete-action">
                        <div class="row">
                            <div class="col-6">
                                <a href="#" data-bs-dismiss="modal" class="btn btn-primary paid-continue-btn">حفظ</a>
                            </div>
                            <div class="col-6">
                                <a href="#" data-bs-dismiss="modal" class="btn btn-primary paid-cancel-btn">إلغاء</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @section('script')

        {{-- show hide [Bank Details]--}}
        <script>
            $('#bank-details').hide();
            $('#btn-remove-bank-details').hide();
            $(function() {
                $("#save-item").click(function() {
                    if (!isNaN($("#account_holder_name").val())) {
                        $('#bank-details').hide();
                    } else {
                        $('#bank-details').show();
                        $('#btn-add-bank-details').hide();
                        $('#btn-remove-bank-details').show();
                        var account_holder_name = $('#account_holder_name').val();
                        var bank_name = $('#bank_name').val();
                        var ifsc_code = $('#ifsc_code').val();
                        var account_number = $('#account_number').val();

                        $('#auto_account_holder_name').val(account_holder_name);
                        $('#auto_bank_name').val(bank_name);
                        $('#auto_ifsc_code').val(ifsc_code);
                        $('#auto_account_number').val(account_number);
                    }
                });
                $("#btn-remove-bank-details").click(function() {
                    $('#bank-details').hide();
                    $('#btn-add-bank-details').show();
                    $('#btn-remove-bank-details').hide();
                });
            });
        </script>

        {{-- show hide [Recurring Invoice]--}}
        <script>
            $(function() {
                $("input[name='recurring_incoice']").click(function() {
                    if ($("#chkYes").is(":checked")) {
                        $("#show-invoices").show();
                    } else {
                        $("#show-invoices").hide();
                    }
                });
            });
        </script>

        {{-- add rows and remove [Item Details]--}}
        <script>
            $(".add-table-items").on('click', '.remove-btn', function() {
                $(this).closest('.add-row').remove();
                return false;
            });
            
            $(document).on("click", ".add-btn", function() {
                var experiencecontent =
                '<tr class="add-row">' +
                    '<td>' + '<input type="text" class="form-control" name="items[]">' + '</td>' +
                    '<td>' + '<input type="text" class="form-control" name="category[]">' + '</td>' +
                    '<td>' + '<input type="text" class="form-control" name="quantity[]">' + '</td>' +
                    '<td>' + '<input type="text" class="form-control price" name="price[]">' + '</td>' +
                    '<td>' + '<input type="text" class="form-control amount" name="amount[]">' + '</td>' +
                    '<td>' + '<input type="text" class="form-control discount" name="discount[]">' + '</td>' +
                    '<td class="add-remove text-end">' +
                        '<a class="add-btn me-2"><i class="fas fa-plus-circle"></i></a> ' +
                        '<a class="copy-btn me-2"><i class="fe fe-copy"></i></a>' +
                        '<a class="remove-btn"><i class="fe fe-trash-2"></i></a>' +
                    '</td>' +
                '</tr>';
                $(".add-table-items").append(experiencecontent);
                return false;
            });
        </script>

        <script>

            $('#invoice-add-table tbody').on("keyup",".price",function()
            {
                var parent = $(this).closest('tr');
                var price  = parseFloat($(parent).find('.price').val());
                $(parent).find('.price').val(price);
                GrandTotal();
            });

            function GrandTotal() {
                var sum = 0;
                $('.price').each(function() {
                    sum += Number($(this).val());
                });
                $(document).on("change keyup blur", ".discount", function() 
                {
                    var discount = parseFloat($('.discount').val());
                    var calculatedDiscount = (sum * discount) / 100;
                    var totalAmount = sum - calculatedDiscount;
                    if (!isNaN(totalAmount)) {
                        document.querySelector('.total_amount').innerText = totalAmount;
                    }
                }); 
            };
        </script>

        {{-- Summary --}}
        <script>
            $(document).on("click", ".add-links", function() {
                var experiencecontent = 
                '<div class="links-cont">' +
                    '<div class="service-amount">' +
                        '<a href="#" class="service-trash">' +
                            '<i class="fe fe-minus-circle me-1"></i>' +
                            'Service Charge ' +
                        '</a> ' +
                        '<span>$ 4</span><input name="service_charge[]" value="4" hidden>' +
                    
                    '</div>' +
                '</div>';
                $(".links-info-one").append(experiencecontent);
                return false;
            });

            $(".links-info-discount").on('click', '.service-trash-one', function() {
                $(this).closest('.links-cont-discount').remove();
                return false;
            });

            $(document).on("click", ".add-links-one", function() {
                var experiencecontent =
                '<div class="links-cont-discount">' +
                    '<div class="service-amount">' +
                        '<a href="#" class="service-trash-one">' +
                            '<i class="fe fe-minus-circle me-1"></i> Offer new' +
                        '</a>' +
                        '<span>$ 4 %</span><input name="offer_new[]" value="4"hidden>' +
                    '</div>' +
                '</div>';
                $(".links-info-discount").append(experiencecontent);
                return false;
            });

            $(document).on("click", ".add-links", function() {
                var experiencecontent = 
                '<div class="row form-row links-cont">' +
                    '<div class="form-group d-flex">' +
                        '<button class="btn social-icon">' +
                            '<i class="feather-github"></i>' +
                        '</button>' +
                        '<input type="text" class="form-control" placeholder="Social Link">' +
                        '<div>' +
                            '<a href="#" class="btn trash">' +
                                '<i class="feather-trash-2"></i>' +
                            '</a>' +
                        '</div>' +
                    '</div>' +
                '</div>';
                $(".settings-form").append(experiencecontent);
                return false;
            });
        </script>

    @endsection
@endsection
