@extends('layouts.master')
@section('content')
    {{-- message --}}
    {!! Toastr::message() !!}
    <div class="page-wrapper">
        <div class="content container-fluid">

            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <h3 class="page-title">إعدادات الفاتورة</h3>
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index.html">لوحة المعلومات</a>
                            </li>
                            <li class="breadcrumb-item active">الإعدادات العامة</li>
                        </ul>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-xl-3 col-md-4">
                    <div class="widget settings-menu">
                        <ul>
                            <li class="nav-item">
                                <a href="{{ route('setting/page') }}" class="nav-link active">
                                    <i class="fe fe-git-commit"></i> <span>الإعدادات العامة</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="{{ route('invoice/settings/tax/page') }}" class="nav-link">
                                    <i class="fe fe-bookmark"></i> <span>إعدادات الضرائب</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="{{ route('invoice/settings/bank/page') }}" class="nav-link">
                                    <i class="fas fa-university"></i> <span>إعدادات البنك</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-9 col-md-8">
                    <div class="card invoices-settings-card">
                        <div class="card-header">
                            <h5 class="card-title">الإعدادات العامة</h5>
                        </div>
                        <div class="card-body">

                            <form action="#" class="invoices-settings-form">
                                <div class="row align-items-center form-group">
                                    <label for="name" class="col-sm-3 col-form-label input-label">حالة الفاتورة</label>
                                    <div class="col-sm-9">
                                        <label class="custom_check">
                                            <input type="checkbox" name="invoice">
                                            <span class="checkmark"></span> تغيير حالة الفاتورة إلى مدفوعة بعد اكتمال الطلب
                                        </label>
                                    </div>
                                </div>
                                <div class="row align-items-center form-group">
                                    <label for="email" class="col-sm-3 col-form-label input-label">مبلغ الفاتورة</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row align-items-center form-group">
                                    <label for="phone" class="col-sm-3 col-form-label input-label">رقم الفاتورة يبدأ بـ</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" placeholder="$" value="$">
                                    </div>
                                </div>
                                <div class="row align-items-center form-group">
                                    <label for="addressline1"
                                        class="col-sm-3 col-form-label input-label">بادئة</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row align-items-center form-group">
                                    <label for="addressline2" class="col-sm-3 col-form-label input-label">إعادة تعيين الرقم</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row align-items-center form-group">
                                    <label for="zipcode" class="col-sm-3 col-form-label input-label">وقت الاستحقاق الافتراضي</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row align-items-center form-group ">
                                    <label for="zipcode" class="col-sm-3 col-form-label input-label">التوقيع الرقمي الافتراضي</label>
                                    <div class="col-sm-9">
                                        <div class="invoices-upload-btn">
                                            <input type="file" accept="image/*" name="image" id="file"
                                                onchange="loadFile(event)" class="hide-input">
                                            <label for="file" class="upload">
                                                تحميل الملف
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row align-items-center form-group">
                                    <label for="zipcode" class="col-sm-3 col-form-label input-label">الاسم الرقمي الافتراضي</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="invoice-setting-btn text-end">
                                    <button type="submit" class="btn cancel-btn me-2">إلغاء</button>
                                    <button type="submit" class="btn btn-primary-save-bg">حفظ التغييرات</button>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
